# Module: type/mpi

## type/mpi

#### new require("type/mpi")()

  Source:
    - type/mpi.js, line 38

Source:
  - type/mpi.js, line 23

### Members

#### data

  An implementation dependent integer
  Source:
    - type/mpi.js, line 40

### Methods

#### read(input, position, len) → {module:type/mpi}

  Parsing function for a mpi (RFC 4880 3.2).

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `input` | String | Payload of mpi data
  `position` | Integer | Position to start reading from the input string
  `len` | Integer | Length of the packet or the remaining length of input at position

  Source:
    - type/mpi.js, line 51

  ##### Returns:

  Object representation
  Type
    module:type/mpi

#### write() → {String}

  Converts the mpi object to a string as specified in RFC4880 3.2
  Source:
    - type/mpi.js, line 88

  ##### Returns:

  mpi Byte representation
  Type
    String